Callisto4Bootloader: board/clock_config.h File Reference

Callisto4Bootloader

Macros | Functions | Variables
clock_config.h File Reference
`#include "fsl_common.h"`

Go to the source code of this file.

## Macros

#define | BOARD_XTAL0_CLK_HZ 24000000U
#define | BOARD_XTAL32K_CLK_HZ 32768U
#define | BOARD_BOOTCLOCKRUN_CORE_CLOCK 600000000U
#define | BOARD_BOOTCLOCKRUN_AHB_CLK_ROOT 600000000UL
#define | BOARD_BOOTCLOCKRUN_CAN_CLK_ROOT 40000000UL
#define | BOARD_BOOTCLOCKRUN_CKIL_SYNC_CLK_ROOT 32768UL
#define | BOARD_BOOTCLOCKRUN_CLKO1_CLK 0UL
#define | BOARD_BOOTCLOCKRUN_CLKO2_CLK 0UL
#define | BOARD_BOOTCLOCKRUN_CLK_1M 1000000UL
#define | BOARD_BOOTCLOCKRUN_CLK_24M 24000000UL
#define | BOARD_BOOTCLOCKRUN_CSI_CLK_ROOT 12000000UL
#define | BOARD_BOOTCLOCKRUN_ENET1_TX_CLK 2400000UL
#define | BOARD_BOOTCLOCKRUN_ENET2_125M_CLK 1200000UL
#define | BOARD_BOOTCLOCKRUN_ENET2_TX_CLK 1200000UL
#define | BOARD_BOOTCLOCKRUN_ENET_125M_CLK 2400000UL
#define | BOARD_BOOTCLOCKRUN_ENET_25M_REF_CLK 1200000UL
#define | BOARD_BOOTCLOCKRUN_FLEXIO1_CLK_ROOT 30000000UL
#define | BOARD_BOOTCLOCKRUN_FLEXIO2_CLK_ROOT 30000000UL
#define | BOARD_BOOTCLOCKRUN_FLEXSPI2_CLK_ROOT 130909090UL
#define | BOARD_BOOTCLOCKRUN_FLEXSPI_CLK_ROOT 130909090UL
#define | BOARD_BOOTCLOCKRUN_GPT1_IPG_CLK_HIGHFREQ 75000000UL
#define | BOARD_BOOTCLOCKRUN_GPT2_IPG_CLK_HIGHFREQ 75000000UL
#define | BOARD_BOOTCLOCKRUN_IPG_CLK_ROOT 150000000UL
#define | BOARD_BOOTCLOCKRUN_LCDIF_CLK_ROOT 67500000UL
#define | BOARD_BOOTCLOCKRUN_LPI2C_CLK_ROOT 60000000UL
#define | BOARD_BOOTCLOCKRUN_LPSPI_CLK_ROOT 105600000UL
#define | BOARD_BOOTCLOCKRUN_LVDS1_CLK 1200000000UL
#define | BOARD_BOOTCLOCKRUN_MQS_MCLK 63529411UL
#define | BOARD_BOOTCLOCKRUN_PERCLK_CLK_ROOT 75000000UL
#define | BOARD_BOOTCLOCKRUN_PLL7_MAIN_CLK 24000000UL
#define | BOARD_BOOTCLOCKRUN_SAI1_CLK_ROOT 63529411UL
#define | BOARD_BOOTCLOCKRUN_SAI1_MCLK1 63529411UL
#define | BOARD_BOOTCLOCKRUN_SAI1_MCLK2 63529411UL
#define | BOARD_BOOTCLOCKRUN_SAI1_MCLK3 30000000UL
#define | BOARD_BOOTCLOCKRUN_SAI2_CLK_ROOT 63529411UL
#define | BOARD_BOOTCLOCKRUN_SAI2_MCLK1 63529411UL
#define | BOARD_BOOTCLOCKRUN_SAI2_MCLK2 0UL
#define | BOARD_BOOTCLOCKRUN_SAI2_MCLK3 30000000UL
#define | BOARD_BOOTCLOCKRUN_SAI3_CLK_ROOT 63529411UL
#define | BOARD_BOOTCLOCKRUN_SAI3_MCLK1 63529411UL
#define | BOARD_BOOTCLOCKRUN_SAI3_MCLK2 0UL
#define | BOARD_BOOTCLOCKRUN_SAI3_MCLK3 30000000UL
#define | BOARD_BOOTCLOCKRUN_SEMC_CLK_ROOT 75000000UL
#define | BOARD_BOOTCLOCKRUN_SPDIF0_CLK_ROOT 30000000UL
#define | BOARD_BOOTCLOCKRUN_SPDIF0_EXTCLK_OUT 0UL
#define | BOARD_BOOTCLOCKRUN_TRACE_CLK_ROOT 117333333UL
#define | BOARD_BOOTCLOCKRUN_UART_CLK_ROOT 80000000UL
#define | BOARD_BOOTCLOCKRUN_USBPHY1_CLK 0UL
#define | BOARD_BOOTCLOCKRUN_USBPHY2_CLK 0UL
#define | BOARD_BOOTCLOCKRUN_USDHC1_CLK_ROOT 198000000UL
#define | BOARD_BOOTCLOCKRUN_USDHC2_CLK_ROOT 198000000UL

## Functions

void | BOARD_InitBootClocks (void)
| This function executes default configuration of clocks. More...
void | BOARD_BootClockRUN (void)
| This function executes configuration of clocks. More...

## Variables

const clock_arm_pll_config_t | armPllConfig_BOARD_BootClockRUN
| Arm PLL set for BOARD_BootClockRUN configuration. More...
const clock_usb_pll_config_t | usb1PllConfig_BOARD_BootClockRUN
| Usb1 PLL set for BOARD_BootClockRUN configuration. More...
const clock_sys_pll_config_t | sysPllConfig_BOARD_BootClockRUN
| Sys PLL for BOARD_BootClockRUN configuration. More...
const clock_video_pll_config_t | videoPllConfig_BOARD_BootClockRUN
| Video PLL set for BOARD_BootClockRUN configuration. More...

## Macro Definition Documentation

## ◆ BOARD_BOOTCLOCKRUN_AHB_CLK_ROOT

#define BOARD_BOOTCLOCKRUN_AHB_CLK_ROOT 600000000UL

Definition at line 35 of file clock_config.h.

## ◆ BOARD_BOOTCLOCKRUN_CAN_CLK_ROOT

#define BOARD_BOOTCLOCKRUN_CAN_CLK_ROOT 40000000UL

Definition at line 36 of file clock_config.h.

## ◆ BOARD_BOOTCLOCKRUN_CKIL_SYNC_CLK_ROOT

#define BOARD_BOOTCLOCKRUN_CKIL_SYNC_CLK_ROOT 32768UL

Definition at line 37 of file clock_config.h.

## ◆ BOARD_BOOTCLOCKRUN_CLK_1M

#define BOARD_BOOTCLOCKRUN_CLK_1M 1000000UL

Definition at line 40 of file clock_config.h.

## ◆ BOARD_BOOTCLOCKRUN_CLK_24M

#define BOARD_BOOTCLOCKRUN_CLK_24M 24000000UL

Definition at line 41 of file clock_config.h.

## ◆ BOARD_BOOTCLOCKRUN_CLKO1_CLK

#define BOARD_BOOTCLOCKRUN_CLKO1_CLK 0UL

Definition at line 38 of file clock_config.h.

## ◆ BOARD_BOOTCLOCKRUN_CLKO2_CLK

#define BOARD_BOOTCLOCKRUN_CLKO2_CLK 0UL

Definition at line 39 of file clock_config.h.

## ◆ BOARD_BOOTCLOCKRUN_CORE_CLOCK

#define BOARD_BOOTCLOCKRUN_CORE_CLOCK 600000000U

Core clock frequency: 600000000Hz

Definition at line 32 of file clock_config.h.

## ◆ BOARD_BOOTCLOCKRUN_CSI_CLK_ROOT

#define BOARD_BOOTCLOCKRUN_CSI_CLK_ROOT 12000000UL

Definition at line 42 of file clock_config.h.

## ◆ BOARD_BOOTCLOCKRUN_ENET1_TX_CLK

#define BOARD_BOOTCLOCKRUN_ENET1_TX_CLK 2400000UL

Definition at line 43 of file clock_config.h.

## ◆ BOARD_BOOTCLOCKRUN_ENET2_125M_CLK

#define BOARD_BOOTCLOCKRUN_ENET2_125M_CLK 1200000UL

Definition at line 44 of file clock_config.h.

## ◆ BOARD_BOOTCLOCKRUN_ENET2_TX_CLK

#define BOARD_BOOTCLOCKRUN_ENET2_TX_CLK 1200000UL

Definition at line 45 of file clock_config.h.

## ◆ BOARD_BOOTCLOCKRUN_ENET_125M_CLK

#define BOARD_BOOTCLOCKRUN_ENET_125M_CLK 2400000UL

Definition at line 46 of file clock_config.h.

## ◆ BOARD_BOOTCLOCKRUN_ENET_25M_REF_CLK

#define BOARD_BOOTCLOCKRUN_ENET_25M_REF_CLK 1200000UL

Definition at line 47 of file clock_config.h.

## ◆ BOARD_BOOTCLOCKRUN_FLEXIO1_CLK_ROOT

#define BOARD_BOOTCLOCKRUN_FLEXIO1_CLK_ROOT 30000000UL

Definition at line 48 of file clock_config.h.

## ◆ BOARD_BOOTCLOCKRUN_FLEXIO2_CLK_ROOT

#define BOARD_BOOTCLOCKRUN_FLEXIO2_CLK_ROOT 30000000UL

Definition at line 49 of file clock_config.h.

## ◆ BOARD_BOOTCLOCKRUN_FLEXSPI2_CLK_ROOT

#define BOARD_BOOTCLOCKRUN_FLEXSPI2_CLK_ROOT 130909090UL

Definition at line 50 of file clock_config.h.

## ◆ BOARD_BOOTCLOCKRUN_FLEXSPI_CLK_ROOT

#define BOARD_BOOTCLOCKRUN_FLEXSPI_CLK_ROOT 130909090UL

Definition at line 51 of file clock_config.h.

## ◆ BOARD_BOOTCLOCKRUN_GPT1_IPG_CLK_HIGHFREQ

#define BOARD_BOOTCLOCKRUN_GPT1_IPG_CLK_HIGHFREQ 75000000UL

Definition at line 52 of file clock_config.h.

## ◆ BOARD_BOOTCLOCKRUN_GPT2_IPG_CLK_HIGHFREQ

#define BOARD_BOOTCLOCKRUN_GPT2_IPG_CLK_HIGHFREQ 75000000UL

Definition at line 53 of file clock_config.h.

## ◆ BOARD_BOOTCLOCKRUN_IPG_CLK_ROOT

#define BOARD_BOOTCLOCKRUN_IPG_CLK_ROOT 150000000UL

Definition at line 54 of file clock_config.h.

## ◆ BOARD_BOOTCLOCKRUN_LCDIF_CLK_ROOT

#define BOARD_BOOTCLOCKRUN_LCDIF_CLK_ROOT 67500000UL

Definition at line 55 of file clock_config.h.

## ◆ BOARD_BOOTCLOCKRUN_LPI2C_CLK_ROOT

#define BOARD_BOOTCLOCKRUN_LPI2C_CLK_ROOT 60000000UL

Definition at line 56 of file clock_config.h.

## ◆ BOARD_BOOTCLOCKRUN_LPSPI_CLK_ROOT

#define BOARD_BOOTCLOCKRUN_LPSPI_CLK_ROOT 105600000UL

Definition at line 57 of file clock_config.h.

## ◆ BOARD_BOOTCLOCKRUN_LVDS1_CLK

#define BOARD_BOOTCLOCKRUN_LVDS1_CLK 1200000000UL

Definition at line 58 of file clock_config.h.

## ◆ BOARD_BOOTCLOCKRUN_MQS_MCLK

#define BOARD_BOOTCLOCKRUN_MQS_MCLK 63529411UL

Definition at line 59 of file clock_config.h.

## ◆ BOARD_BOOTCLOCKRUN_PERCLK_CLK_ROOT

#define BOARD_BOOTCLOCKRUN_PERCLK_CLK_ROOT 75000000UL

Definition at line 60 of file clock_config.h.

## ◆ BOARD_BOOTCLOCKRUN_PLL7_MAIN_CLK

#define BOARD_BOOTCLOCKRUN_PLL7_MAIN_CLK 24000000UL

Definition at line 61 of file clock_config.h.

## ◆ BOARD_BOOTCLOCKRUN_SAI1_CLK_ROOT

#define BOARD_BOOTCLOCKRUN_SAI1_CLK_ROOT 63529411UL

Definition at line 62 of file clock_config.h.

## ◆ BOARD_BOOTCLOCKRUN_SAI1_MCLK1

#define BOARD_BOOTCLOCKRUN_SAI1_MCLK1 63529411UL

Definition at line 63 of file clock_config.h.

## ◆ BOARD_BOOTCLOCKRUN_SAI1_MCLK2

#define BOARD_BOOTCLOCKRUN_SAI1_MCLK2 63529411UL

Definition at line 64 of file clock_config.h.

## ◆ BOARD_BOOTCLOCKRUN_SAI1_MCLK3

#define BOARD_BOOTCLOCKRUN_SAI1_MCLK3 30000000UL

Definition at line 65 of file clock_config.h.

## ◆ BOARD_BOOTCLOCKRUN_SAI2_CLK_ROOT

#define BOARD_BOOTCLOCKRUN_SAI2_CLK_ROOT 63529411UL

Definition at line 66 of file clock_config.h.

## ◆ BOARD_BOOTCLOCKRUN_SAI2_MCLK1

#define BOARD_BOOTCLOCKRUN_SAI2_MCLK1 63529411UL

Definition at line 67 of file clock_config.h.

## ◆ BOARD_BOOTCLOCKRUN_SAI2_MCLK2

#define BOARD_BOOTCLOCKRUN_SAI2_MCLK2 0UL

Definition at line 68 of file clock_config.h.

## ◆ BOARD_BOOTCLOCKRUN_SAI2_MCLK3

#define BOARD_BOOTCLOCKRUN_SAI2_MCLK3 30000000UL

Definition at line 69 of file clock_config.h.

## ◆ BOARD_BOOTCLOCKRUN_SAI3_CLK_ROOT

#define BOARD_BOOTCLOCKRUN_SAI3_CLK_ROOT 63529411UL

Definition at line 70 of file clock_config.h.

## ◆ BOARD_BOOTCLOCKRUN_SAI3_MCLK1

#define BOARD_BOOTCLOCKRUN_SAI3_MCLK1 63529411UL

Definition at line 71 of file clock_config.h.

## ◆ BOARD_BOOTCLOCKRUN_SAI3_MCLK2

#define BOARD_BOOTCLOCKRUN_SAI3_MCLK2 0UL

Definition at line 72 of file clock_config.h.

## ◆ BOARD_BOOTCLOCKRUN_SAI3_MCLK3

#define BOARD_BOOTCLOCKRUN_SAI3_MCLK3 30000000UL

Definition at line 73 of file clock_config.h.

## ◆ BOARD_BOOTCLOCKRUN_SEMC_CLK_ROOT

#define BOARD_BOOTCLOCKRUN_SEMC_CLK_ROOT 75000000UL

Definition at line 74 of file clock_config.h.

## ◆ BOARD_BOOTCLOCKRUN_SPDIF0_CLK_ROOT

#define BOARD_BOOTCLOCKRUN_SPDIF0_CLK_ROOT 30000000UL

Definition at line 75 of file clock_config.h.

## ◆ BOARD_BOOTCLOCKRUN_SPDIF0_EXTCLK_OUT

#define BOARD_BOOTCLOCKRUN_SPDIF0_EXTCLK_OUT 0UL

Definition at line 76 of file clock_config.h.

## ◆ BOARD_BOOTCLOCKRUN_TRACE_CLK_ROOT

#define BOARD_BOOTCLOCKRUN_TRACE_CLK_ROOT 117333333UL

Definition at line 77 of file clock_config.h.

## ◆ BOARD_BOOTCLOCKRUN_UART_CLK_ROOT

#define BOARD_BOOTCLOCKRUN_UART_CLK_ROOT 80000000UL

Definition at line 78 of file clock_config.h.

## ◆ BOARD_BOOTCLOCKRUN_USBPHY1_CLK

#define BOARD_BOOTCLOCKRUN_USBPHY1_CLK 0UL

Definition at line 79 of file clock_config.h.

## ◆ BOARD_BOOTCLOCKRUN_USBPHY2_CLK

#define BOARD_BOOTCLOCKRUN_USBPHY2_CLK 0UL

Definition at line 80 of file clock_config.h.

## ◆ BOARD_BOOTCLOCKRUN_USDHC1_CLK_ROOT

#define BOARD_BOOTCLOCKRUN_USDHC1_CLK_ROOT 198000000UL

Definition at line 81 of file clock_config.h.

## ◆ BOARD_BOOTCLOCKRUN_USDHC2_CLK_ROOT

#define BOARD_BOOTCLOCKRUN_USDHC2_CLK_ROOT 198000000UL

Definition at line 82 of file clock_config.h.

## ◆ BOARD_XTAL0_CLK_HZ

#define BOARD_XTAL0_CLK_HZ 24000000U

Board xtal0 frequency in Hz

Definition at line 8 of file clock_config.h.

## ◆ BOARD_XTAL32K_CLK_HZ

#define BOARD_XTAL32K_CLK_HZ 32768U

Board xtal32k frequency in Hz

Definition at line 10 of file clock_config.h.

## Function Documentation

## ◆ BOARD_BootClockRUN()

void BOARD_BootClockRUN | ( | void |  | ) |

This function executes configuration of clocks.

Definition at line 164 of file clock_config.c.

Referenced by BOARD_InitBootClocks().

## ◆ BOARD_InitBootClocks()

void BOARD_InitBootClocks | ( | void |  | ) |

This function executes default configuration of clocks.

Definition at line 39 of file clock_config.c.

References BOARD_BootClockRUN().

## Variable Documentation

## ◆ armPllConfig_BOARD_BootClockRUN

const clock_arm_pll_config_t armPllConfig_BOARD_BootClockRUN

Arm PLL set for BOARD_BootClockRUN configuration.

Definition at line 137 of file clock_config.c.

## ◆ sysPllConfig_BOARD_BootClockRUN

const clock_sys_pll_config_t sysPllConfig_BOARD_BootClockRUN

Sys PLL for BOARD_BootClockRUN configuration.

Definition at line 142 of file clock_config.c.

## ◆ usb1PllConfig_BOARD_BootClockRUN

const clock_usb_pll_config_t usb1PllConfig_BOARD_BootClockRUN

Usb1 PLL set for BOARD_BootClockRUN configuration.

Definition at line 149 of file clock_config.c.

## ◆ videoPllConfig_BOARD_BootClockRUN

const clock_video_pll_config_t videoPllConfig_BOARD_BootClockRUN

Video PLL set for BOARD_BootClockRUN configuration.

Definition at line 154 of file clock_config.c.